Net::DNS::RR::LP(3)

NAME
Net::DNS::RR::LP - DNS LP resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name IN LP preference locator');

    $rr = new Net::DNS::RR(
        name       => 'example.com',
        type       => 'LP',
        preference => 10,
        locator    => 'locator.example.com'
        );

DESCRIPTION
Class for DNS Locator Pointer (LP) resource records.

The LP DNS resource record (RR) is used to hold the name of a subnetwork for ILNP. The name is an FQDN which can then be used to look up L32 or L64 records. LP is, effectively, a Locator Pointer to L32 and/or L64 records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  preference
    $preference = $rr->preference;
    $rr->preference( $preference );

A 16 bit unsigned integer in network byte order that indicates the relative preference for this LP record among other LP records associated with this owner name. Lower values are preferred over higher values.

  locator
    $locator = $rr->locator;
    $rr->locator( $locator );

The Locator field contains the DNS target name that is used to reference L32 and/or L64 records.

COPYRIGHT
Copyright (c)2012 Dick Franks.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC6742